/*
 * Created on 08-Jan-2005
 */
package kenya.eclipse.buildext;

import mediator.ICheckedCode;
import mediator.IJavaCode;

/**
 * This IKenyaPostBuildAnalyser does NOTHING.
 * <code>NullAnalyser.getInstance()</code> should be returned
 * from the factory instead of null.
 * 
 * @author Thomas Timbul
 */
public class NullAnalyser extends AbstractKenyaPostBuildAnalyser {
	
	private static NullAnalyser inst;
	
	private NullAnalyser() {};
	
	public static NullAnalyser getInstance() {
		if (inst == null) {
			inst = new NullAnalyser();
		}

		return inst;
	}
	
	/* (non-Javadoc)
	 * @see mediator.subscription.ICheckedCodeReceiver#setCheckedCode(mediator.ICheckedCode)
	 */
	public void setCheckedCode(ICheckedCode code) {
	}

	/* (non-Javadoc)
	 * @see mediator.subscription.IJavaCodeReceiver#setJavaCode(mediator.IJavaCode)
	 */
	public void setJavaCode(IJavaCode code) {
	}

}
